nodevisitor.hh File Reference
`#include <gecode/gist/nodevisitor.hpp>`

Go to the source code of this file.

## Classes

class | Gecode::Gist::NodeVisitor< Cursor >
| Base class for a visitor that runs a cursor over a tree. More...
class | Gecode::Gist::PostorderNodeVisitor< Cursor >
| Run a cursor over a tree, processing nodes in post-order. More...
class | Gecode::Gist::PreorderNodeVisitor< Cursor >
| Run a cursor over a tree, processing nodes in pre-order. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Gist
| The Gecode Interactive Search Tool.